Bug 36277 - anaconda crash with the flag --noprobe in xconfig
anaconda crash with the flag --noprobe in xconfig
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-17 08:49 EDT by Roland Dubouloz
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-03 14:55:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Dubouloz 2001-04-17 08:49:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (X11; I; Linux 2.2.14-15mdk i586)


In the kikstart file with the option --noprobe in xconfig
we crashed in xf86config.py in the line 174 :
 self.devID=self.vidCards[self.primary]["NAME"]
with the error : Sequence index must be integer 


Reproducible: Always
Steps to Reproduce:
1.xconfig --noprobe --card "ATI Xpert 98" --server "Mach64"
2.
3.
	

Actual Results:  crash in anaconda

With the --noprobe flag in the function configureX(self,server,card,..)  
probe() is not call but setVidcar(self,card) is called.
In the function setVidcar()
vidCards is not initialized , probably a call to cards(card) is forgotten.

we  have also the same problem if we don't set the flag --noprobe
with a video cart like "ATI Xpert 98" . With this ATi card kudzu.probe
return (none,unknow,ATI|unknow) so it's insufficient to find the server in
the file Cards.
Comment 1 Brent Fox 2001-04-17 10:20:35 EDT
We have seen this issue before with 6.2.  I'm pretty sure that this is fixed in
Red Hat Linux 7.0 (and also 7.1, which was released yesterday).
Comment 2 Roland Dubouloz 2001-04-17 11:40:56 EDT
Ok but is it possible to have an installer update  for Red hat 6.2.
like RHBA-2000:015-1 
Comment 3 Brent Fox 2001-04-17 17:03:17 EDT
We generally do not release anaconda updates after a new version has been
released, but yes, an updates disk is technically possible.  If you can attach
the complete traceback, I'll try to make an updates disk for you.  It depends on
how complex the fix is.  If it's a couple of lines, then I'll be able to help
you out, but I can't spend lots of time working on a release that is over a year
old.
Comment 4 Roland Dubouloz 2001-04-18 02:57:18 EDT
I understand your problem, but we have now to install about 50 PC with Red hat
6.2 for our customer. And we must also give to him a kickstart disk installer.
If you have only changes on the python files , i can include them into the disk
update.
Thank you for your help.
Comment 5 Brent Fox 2001-04-18 09:44:08 EDT
Ok, I'll see what I can do.  Like I said in my previous post, if you can attach
the complete traceback, that will help me in debugging.
Comment 6 Brent Fox 2001-05-03 14:55:22 EDT
Closing due to inactivity.  Please reopen if you have any more info.

Note You need to log in before you can comment on or make changes to this bug.